Skip to main content
GET
/
v1
/
report
/
insight
/
revenue
/
totals
/report/insight/revenue/totals
curl --request GET \
  --url https://api.tagdeliver.com/v1/report/insight/revenue/totals \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.tagdeliver.com/v1/report/insight/revenue/totals"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.tagdeliver.com/v1/report/insight/revenue/totals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "results": {
    "yesterday": 25792.122269478,
    "yesterday_compare": 25413.466665326,
    "week_to_date": 204629.599185989,
    "week_to_date_compare": 200583.540887664,
    "month_to_date": 592520.825958534,
    "month_to_date_compare": 578164.243676551,
    "thirty_days": 753751.94783636,
    "thirty_days_compare": 759277.51640302,
    "last_week": 204629.599185989,
    "last_week_compare": 200583.540887664,
    "last_month": 766977.356531357,
    "last_month_compare": 910711.662441853
  },
  "success": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

uid
integer

Publisher ID

rev_type
enum<string>
default:gross

Revenue type

Available options:
gross,
net
rev_source
enum<string>
default:all

Revenue source, SaaS or Plug&Play (pap)

Available options:
all,
pap,
saas
environment
enum<string>
default:all

App or web environment

Available options:
all,
app,
web

Response

200 - application/json
results
object
required
success
boolean
required